lhapdf-6.2.1-alt2_4.i586.rpm


Advertisement

Description

lhapdf - Les Houches Accord PDF Interface

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports i586
Package filename lhapdf-6.2.1-alt2_4.i586.rpm
Package name lhapdf
Package version 6.2.1
Package release alt2_4
Package architecture i586
Package type rpm
Category System/Libraries
Homepage -
License -
Maintainer -
Download size 972.99 KB
Installed size 972.99 KB
LHAPDF is a general purpose C++ interpolator, used for evaluating PDFs
from discretized data files. Previous versions of LHAPDF were written
in Fortran 77/90 and are documented at http://lhapdf.hepforge.org/lhapdf5/.
LHAPDF6 vastly reduces the memory overhead of the Fortran LHAPDF (from
gigabytes to megabytes!), entirely removes restrictions on numbers of
concurrent PDFs, allows access to single PDF members without needing
to load whole sets, and separates a new standardized PDF data format
from the code library so that new PDF sets may be created and released
easier and faster. The C++ LHAPDF6 also permits arbitrary parton
contents via the standard PDG ID code scheme, is computationally more
efficient (particularly if only one or two flavors are required at
each phase space point, as in PDF reweighting), and uses a flexible
metadata system which fixes many fundamental metadata and concurrency
bugs in LHAPDF5.
Compatibility routines are provided as standard for existing C++ and
Fortran codes using the LHAPDF5 and PDFLIB legacy interfaces, so you
can keep using your existing codes. But the new interface is much more
powerful and pleasant to work with, so we think you'll want to switch
once you've used it!
LHAPDF6 is documented in more detail in http://arxiv.org/abs/1412.7420

Alternatives

Package Version Architecture Repository
lhapdf-6.2.1-alt2_4.x86_64.rpm 6.2.1 x86_64 Autoimports
lhapdf - - -

Requires

Name Value
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1(GCC_3.0) -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.23) -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
rpmlib(PayloadIsLzma) -
rtld(GNU_HASH) -
rtld(GNU_UNIQUE) -

Provides

Name Value
lhapdf = 6.2.1-alt2_4
libLHAPDF-6.2.1.so -

Obsoletes

Name Value
lhapdf-pdfsets-minimal < 6
octave-lhapdf < 6

Download

Type URL
Mirror ftp.altlinux.org
Binary Package lhapdf-6.2.1-alt2_4.i586.rpm
Source Package lhapdf-6.2.1-alt2_4.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus i586 autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install lhapdf rpm package:
    # sudo apt-get install lhapdf

Files

Path
/usr/lib/libLHAPDF-6.2.1.so
/usr/share/LHAPDF/lhapdf.conf
/usr/share/LHAPDF/pdfsets.index
/usr/share/doc/lhapdf-6.2.1/AUTHORS
/usr/share/doc/lhapdf-6.2.1/COPYING
/usr/share/doc/lhapdf-6.2.1/ChangeLog

See Also

Package Description
lhapdf-devel-6.2.1-alt2_4.i586.rpm Les Houches Accord PDF Interface - development files
libacr38u-devel-1.7.11-alt1_8.i586.rpm Development library for acr38u
libacr38u0-1.7.11-alt1_8.i586.rpm Shared library for acr38u
libairspy-devel-1.0.9-alt1_2.i586.rpm Development files for airspy
libairspy0-1.0.9-alt1_2.i586.rpm Library files for airspy
libalembic-devel-1.7.12-alt1_1.i586.rpm Development files for alembic
libalembic1.7-1.7.12-alt1_1.i586.rpm Open framework for storing and sharing scene data
libanthy-gir9000-1.5.10-alt1_2.i586.rpm GObject Introspection interface description for anthy
libanthygobject-devel-1.5.10-alt1_2.i586.rpm Development files for ibus-anthy
libanthygobject1.0_5-1.5.10-alt1_2.i586.rpm Shared libs for anthygobject
libavfs-devel-1.1.0-alt1_1.i586.rpm Header files for avfs
libavfs0-1.1.0-alt1_1.i586.rpm Libraries needed for avfs
libbcmatroska2-devel-0.23-alt1_2.i586.rpm Development files for bcmatroska2
libbcmatroska2_0-0.23-alt1_2.i586.rpm C Library to Deal with Matroska Files
libbtparser-devel-0.26-alt1_8.i586.rpm Development libraries for btparser
Advertisement
Advertisement